<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:sru="http://www.loc.gov/zing/srw/"
          xmlns:diag="http://www.loc.gov/zing/srw/diagnostic/">

<xsl:output method="xml" />
<xsl:template match="/">
<sru:scanResponse>
<sru:version></sru:version>
  <sru:terms>
  	<xsl:apply-templates select="Repositories/item" mode="base"/>
  </sru:terms>
  <sru:echoedScanRequest>
    <sru:version>1.2</sru:version>
    <sru:scanClause>fcs.resource</sru:scanClause>
    <sru:responsePosition></sru:responsePosition>
    <sru:maximumTerms>1</sru:maximumTerms>
  </sru:echoedScanRequest>

</sru:scanResponse>
</xsl:template>

<xsl:template match="item" mode="base" >
<sru:term>
<sru:value><xsl:value-of select="name"></xsl:value-of></sru:value>
<sru:numberOfRecords/>
<sru:displayTerm><xsl:value-of select="label"></xsl:value-of></sru:displayTerm>
<sru:extraTermData>
<xsl:apply-templates select="./extraitems" />
</sru:extraTermData>
</sru:term>
</xsl:template>

<xsl:template match="extraitems" >
<sru:terms>
<xsl:apply-templates select="./item" mode="extra"/>
</sru:terms>
</xsl:template>

<xsl:template match="item" mode="extra" >
<sru:term>
<sru:value><xsl:value-of select="name"></xsl:value-of></sru:value>
<sru:numberOfRecords/>
<sru:displayTerm><xsl:value-of select="label"></xsl:value-of></sru:displayTerm>
</sru:term>
</xsl:template>

</xsl:stylesheet>